1. Data Parsing
FinEye Financial Analysis Suite
  • Bank Statement Analysis
    • Generate Session ID
      POST
    • Upload
      POST
    • Start Analysis
      POST
    • Check Status
      POST
    • Retrieve Report
      GET
  • Data Parsing
    • Generate Session ID
      POST
    • Upload
      POST
    • Pre Analysis
      POST
    • Data Parsing
      POST
    • Pre Analysis with Data Parsing
      POST
    • Check Status
      POST
    • Retrieve Report
      GET
  1. Data Parsing

Retrieve Report

GET
https://analysis.fineye.co/retrieveReport
Get the analysis report for the session. Returns links for XLSX and JSON output files once available.

Response Codes#

Status CodeBillableMessage
OKRESNoSuccess
TFAILNoTransaction Failed
INPRGNoTransaction In Progress
NOTSTNoAnalysis not started for this ReferenceID
SESEXNoExpired sessionId
INSESNoInvalid sessionId
PARMSNoParameter or Consent Missing
ISERRNoInternal Server Error
AUTHMNoAuthkey missing or invalid
NOPRVNoYour account does not have the required privilege to access this API.
RLEXXNoRequest limit exceeded
IPNOWNoIP Address not whitelisted

Request

Query Params

Header Params

Body Params application/json

Examples

Responses

⚪0Retrieve Report
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://analysis.fineye.co/retrieveReport?sessionId=' \
--header 'authKey;' \
--header 'Content-Type: application/json' \
--data-raw '{}'
Response Response Example
{
    "api_category": "Financial Analysis Suite",
    "api_name": "FinEye - Retrieve Report",
    "datetime": "2025-05-27 21:21:44.089794",
    "message": "Success",
    "result": {
        "excel": "https://bank-statements-analysis-bucket.s3.amazonaws.com/production/excel/anurag_befisc_com_p/referenceID_QairWRXtPIRcdlzWpdVh.xlsx?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIARWPXUWSTW2LSRZNQ%2F20250527%2Fap-south-1%2Fs3%2Faws4_request&X-Amz-Date=20250527T155145Z&X-Amz-Expires=1800&X-Amz-SignedHeaders=host&X-Amz-Signature=2d161cd23f525e99cbaef018dda1a2aa646edba084e93b7ab2fb42d349daee63",
        "json": "https://bank-statements-analysis-bucket.s3.amazonaws.com/production/excel/anurag_befisc_com_p/referenceID_QairWRXtPIRcdlzWpdVh.xlsx?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIARWPXUWSTW2LSRZNQ%2F20250527%2Fap-south-1%2Fs3%2Faws4_request&X-Amz-Date=20250527T155145Z&X-Amz-Expires=1800&X-Amz-SignedHeaders=host&X-Amz-Signature=2d161cd23f525e99cbaef018dda1a2aa646edba084e93b7ab2fb42d349daee63"
    },
    "session_id": "referenceID_QairWRXtPIRcdlzWpdVh",
    "status": "OKRES",
    "txn_id": "482e872e-f874-4fb5-916f-92ed615b2ec0"
}
Modified at 2026-03-05 09:32:55
Previous
Check Status
Built with